import { IBulkArrangeActions, MaybePromiseOf } from './interfaces';
export interface IBulkActions<T, R> extends IBulkArrangeActions<T, R> {
    map: (item: T) => MaybePromiseOf<R>;
}
export declare function asyncBulkMap<T, R>(arr: T[], bulkSize: number, actions: IBulkActions<T, R>): Promise<R[]>;
